with GNATCOM.Dispinterface;

package MSHTML.IHTMLPhraseElement2_Interface is

   type IHTMLPhraseElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLPhraseElement2_Type);

   function Pointer (This : IHTMLPhraseElement2_Type)
     return Pointer_To_IHTMLPhraseElement2;

   procedure Attach (This    : in out IHTMLPhraseElement2_Type;
                     Pointer : in     Pointer_To_IHTMLPhraseElement2);

   procedure Put_cite
     (This : IHTMLPhraseElement2_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_cite
     (This : IHTMLPhraseElement2_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_dateTime
     (This : IHTMLPhraseElement2_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_dateTime
     (This : IHTMLPhraseElement2_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLPhraseElement2_Interface;

